@font-face {
  font-family: Aujournuit;
  src: url(Aujournuit-Densed.woff2);
  font-display: swap;
}

@font-face {
  font-family: NectoMono;
  src: url(NectoMono-Regular.woff2);
  font-display: swap;
}


@font-face {
  font-family: Lora;
  src: url(Lora-Regular.woff2);
  font-display: swap;
}

* {
  padding: 0;
  margin: 0;
  outline: none;
  border: none;
  font-family: Lora;
  color: #1f1e1d;
  user-select: none;
}

hr {
  margin: 0.5rem 0rem;
  color: #615b4a;
  background-color: #615b4a;
  height: 1px;
}

body {
  background-color: #dbd7cc;
  display: flex;
  flex-direction: column;
  height: 100vh;
}

main {
  padding: 2rem;
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  /* overflow: hidden; */
}

.header {
  display: flex;
  justify-content: space-between;
}


.footer {
  display: flex;
  justify-content: space-between;
  padding-top: 1rem;
}

.header > * {
  font-family: NectoMono;
}

.footer > * {
  font-family: NectoMono;
}

.footer > :nth-child(2) {
  text-align: right;
}


.display {
  font-family: Aujournuit, serif;
  padding-bottom: 1rem;
}

@keyframes fadeInSmooth {
  from {
    opacity: 0%;
  }
  to {
    opacity: 100%;
  }
}

.card {
  display: grid;
}

.card-innards {
  border-right: 1px solid #615b4a;
  border-left: 1px solid #615b4a;
  padding:  2rem;
  justify-content: space-between;
  display: flex;
  flex-direction: column;
  cursor: pointer;
  border-bottom: 1px solid #615b4a;
  border-top: 1px solid #615b4a;
  background-color: #dbd7cc;
  margin-right: 1rem;
  animation: 0.75s fadeInSmooth;
  text-decoration: none;
}

.card:hover > .card-innards, .card-innards:focus-visible {
  transform: translateY(-2rem);
  border-top: 1px solid #615b4a;
  border-left: 1px solid #615b4a;
  box-shadow: 0.5rem 0.5rem;
}

.card-innards > div {
  display: flex;
  justify-content: space-between;
  align-items: center; 
  gap: 1rem;
}

.card-innards > div > p {
  color: #615b4a;
}

.card-innards > p {
  color: #9c937c;
}

.carousel::-webkit-scrollbar {
  display: none;
}

.carousel {
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.carousel {
  /* overflow: hidden; */
  overflow: scroll;
  flex-grow: 1;
  container-type: inline-size;
  padding-top: 2rem;
  margin-top: -2rem;
}

@media (min-width: 1000px) {
  .card-grid {
    grid-auto-columns: calc(25cqw - 1rem);
  }

  .display {
    font-size: 6rem;
  }
}

@media (max-width: 1000px) {
  .card-grid {
    grid-auto-columns: calc(100cqw - 1rem);
  }

  .display {
    font-size: 4.6rem;
  }
}

.card-grid {
  display: grid;
  grid-auto-flow: column;
  width: max-content;
  height: 100%;
}

/* .card-grid:hover { */
/*   animation-play-state: paused; */
/* } */
